Atom前端开发配置

Atom开发插件集合

2017-03-21更新,去除不常用的插件
2017-08-31更新,添加highlight-selected插件

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
apm list
Community Packages (28) /Users/erguotou/.atom/packages
├── Stylus@3.1.0
├── atom-beautify@0.29.17
├── atom-material-ui@1.3.9
├── autoclose-html@0.23.0
├── busy-signal@1.3.0
├── docblockr@0.9.3
├── editorconfig@2.2.2
├── emmet@2.4.3
├── file-icons@2.0.17
├── highlight-selected@0.13.1
├── intentions@1.1.2
├── language-gitignore@0.3.0
├── language-vue@0.21.2
├── linter@2.1.0
├── linter-eslint@8.1.4
├── linter-htmlhint@1.3.2
├── linter-ui-default@1.2.1
├── local-history@4.0.1
├── minimap@4.26.8
├── minimap-highlight-selected@4.5.0
└── pigments@0.39.1

└── (empty)

1
apm install Stylus atom-beautify atom-material-ui autoclose-html busy-signal docblockr editorconfig emmet file-icons highlight-selected intentions language-gitignore language-vue linter linter-ui-default linter-eslint linter-htmlhint local-history minimap minimap-highlight-selected pigments

UI配置

安装的是atom-material-ui主题,在mac上很多地方行高很高,需要修改其配置文件

分享到